Bug 56545 - Cannot directly position text cursor onto a blank line in text box
Summary: Cannot directly position text cursor onto a blank line in text box
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.6.2.2 release
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Textbox
  Show dependency treegraph
 
Reported: 2012-10-29 21:22 UTC by Marcel Samek
Modified: 2019-10-30 03:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel Samek 2012-10-29 21:22:10 UTC
It is not possible to position the insert point (with a left click of the mouse) on a blank line unless the insert point is already positioned somewhere in the text box.

If a text box has only blank lines and none of the lines have any text or bullets on them, you will not be able to position the insert point in the box again once it is deseleced.

To Reproduce:

1) Create a slide.
2) In the main body, hit enter to create an empty bullet item
3) Backspace once to delete the bullet
4) Repeat this several times so that you have several empty lines there
5) Now add one more bullet item, but this time type some text in it.
6) You now have several blank lines of text and one with some text on it.

7) Click close to the edge of the slide to deslect the text box where you have been putting bullets.

8) Try to position the insert point on one of the blank lines. You can't.
9) Now position the insert point on the one non-blank line... that works
10) Now try to position the insert on the blank lines, and it works.

11) Delete the one non blank line. Now you only have blank lines.
12) Deselect the text box by clicking at the edge of the slide.
13) Try positioning the insert point in the text box. You can't.
Comment 1 Rob Snelders 2012-11-09 21:25:15 UTC
Thank you for reporting this bug.

Confirmed with LO 3.5.4.2 and LO3.7.0.0-alpha on Ubuntu 12.04 x86_64  

To reproduce:

1) Open Impress
2) Create new Slide
3) Click in the main textbox
4) Press Del to remove the bullet
5) Press Enter
6) Press Del to remove the bullet
7) Deselect the textbox

Then you can't select the textbox anymore
Comment 2 QA Administrators 2015-01-05 17:51:09 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-01-20 16:04:44 UTC
Confirmed this is still the case.
Workaround: select the text box so the blue borders appear. Type something. Now you are able to edit inside the box.
Severity to minor because of workaround.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 07e84cae983c08afdba03018413a19d01abb3006
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-19_06:15:38
Comment 4 QA Administrators 2016-02-21 08:34:47 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-03-06 15:00:56 UTC Comment hidden (obsolete)
Comment 6 Thomas Lendo 2017-09-13 19:13:24 UTC
Still repro.

Version: 6.0.0.0.alpha0+
Build-ID: 33ead25229d308f98fa171412f2937ca0ba976e9
CPU-Threads: 4; Betriebssystem:Linux 4.10; UI-Render: Standard; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-09-13_00:43:03
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group

My workaround is to find the invisible border of the textbox when hovering with the mouse. Then I clock on it and type something. Then you can edit the content of the again visible textbox.
Comment 7 QA Administrators 2018-09-14 02:46:04 UTC Comment hidden (obsolete)
Comment 8 Zineta 2018-10-29 12:13:20 UTC
Version: 6.1.1.2 (x64)
Version: 6.2.0.0.alpha0+ (x64)
The textbox  can be selected and can be edited (although border of textbox is not visible).
Comment 9 Buovjaga 2018-10-29 12:20:41 UTC
Ok, let's close(In reply to Marcel Samek from comment #0)
> 8) Try to position the insert point on one of the blank lines. You can't.
> 9) Now position the insert point on the one non-blank line... that works
> 10) Now try to position the insert on the blank lines, and it works.

Still repro.

Zineta: I think you misunderstood the report.

Arch Linux 64-bit
Version: 6.2.0.0.alpha1+
Build ID: bfa6aeb379e5dfcf6f1f97b3365ab551995ab3d5
CPU threads: 8; OS: Linux 4.18; UI render: default; VCL: gtk3_kde5; 
Locale: fi-FI (fi_FI.UTF-8); Calc: threaded
Built on 28 October 2018
Comment 10 QA Administrators 2019-10-30 03:36:06 UTC
Dear Marcel Samek,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug